> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/de/integrationen/overview/social/youtube.md).

# YouTube

Der Schritt zur YouTube-Integration ermöglicht es Ihnen, Untertitel von Videos auf Ihrem eigenen YouTube-Kanal abzurufen. Diese Integration unterstützt die Wiederverwendung von Inhalten, indem Textinhalte aus Ihrer Videobibliothek für Artikel, Zusammenfassungen und andere Inhaltsformate extrahiert werden.

### So konfigurieren Sie den Schritt zur YouTube-Integration

#### Aktionstyp

**Video-Untertitel abrufen**: Untertitel/Transkript aus Ihrem YouTube-Video extrahieren

#### Video-URL oder ID

Geben Sie die YouTube-Video-ID aus Ihrem Kanal ein:

* Video-ID: `dQw4w9WgXcQ`

#### Wichtige Ausgabefelder

* `full_text`: Vollständige Untertitel als einzelner String
* `transcript`: Array mit zeitlich markierten Untertitel-Segmenten
* `video_title`: Titel Ihres Videos
* `video_id`: YouTube-Video-Kennung

### Häufige Anwendungsfälle

* Verwandeln Sie Videoinhalte in Blogbeiträge
* Erstellen Sie Video-Zusammenfassungen und Kernpunkte
* Erstellen Sie Shownotes für Podcast-Episoden
* Extrahieren Sie Zitate für Social-Media-Inhalte
* Erstellen Sie durchsuchbare Inhalte aus Ihrer Videobibliothek

**Hinweis:** Sie müssen Ihr YouTube-Konto in AirOps unter Einstellungen > Integrationen authentifizieren, bevor Sie diesen Schritt verwenden.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/de/integrationen/overview/social/youtube.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
